org.jboss.resteasy.plugins.server.tjws

## Class TJWSServletDispatcher

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher
      - - org.jboss.resteasy.plugins.server.tjws.TJWSServletDispatcher

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, HttpRequestFactory, HttpResponseFactory

      public class TJWSServletDispatcher
      extends HttpServletDispatcher

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher

      `servletContainerDispatcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TJWSServletDispatcher()`
    `TJWSServletDispatcher(SecurityDomain domain)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.servlet.ServletConfig` | `getServletConfig()`
    `javax.servlet.ServletContext` | `getServletContext()`
    `void` | `service(String httpMethod, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `setContextPath(String contextPath)`
    `void` | `setSecurityDomain(SecurityDomain domain)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher

      `createHttpRequest, createResteasyHttpRequest, createResteasyHttpResponse, createServletResponse, destroy, getDispatcher, init, service`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TJWSServletDispatcher

          public TJWSServletDispatcher()

    - #### TJWSServletDispatcher

          public TJWSServletDispatcher(SecurityDomain domain)

  - ### Method Detail

    - #### setContextPath

          public void setContextPath(String contextPath)

    - #### service

          public void service(String httpMethod,
                     javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws IOException

      Overrides:
        `service` in class `HttpServletDispatcher`
      Throws:
        `IOException`

    - #### setSecurityDomain

          public void setSecurityDomain(SecurityDomain domain)

    - #### getServletConfig

          public javax.servlet.ServletConfig getServletConfig()

      Specified by:
        `getServletConfig` in interface `javax.servlet.Servlet`
      Overrides:
        `getServletConfig` in class `javax.servlet.GenericServlet`

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Specified by:
        `getServletContext` in interface `javax.servlet.ServletConfig`
      Overrides:
        `getServletContext` in class `javax.servlet.GenericServlet`

Copyright © 2014. All Rights Reserved.